Bug 232694 - kexec cannot deteremine file type with 2.6.20-1.2300.fc5kdump kernel
Summary: kexec cannot deteremine file type with 2.6.20-1.2300.fc5kdump kernel
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 17:40 UTC by John Holmstadt
Modified: 2009-09-09 03:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:21:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Holmstadt 2007-03-16 17:40:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2

Description of problem:
The 2.6.20-1.2300.fc5 version of kernel-kdump will not load. Kexec complains that it "Cannot determine the file type of /boot/vmlinux-2.6.20-1.2300.fc5kdump". Works fine with kernel-kdump-2.6.19-1.2288.fc5.

Version-Release number of selected component (if applicable):
kernel-kdump-2.6.20-1.2300.fc5

How reproducible:
Always


Steps to Reproduce:
[root@server ~]# rpm -qa kernel-kdump
kernel-kdump-2.6.20-1.2300.fc5
kernel-kdump-2.6.19-1.2288.fc5
[root@server ~]# vi /etc/sysconfig/kdump
[root@server ~]# /etc/init.d/kdump start
Cannot determine the file type of /boot/vmlinux-2.6.20-1.2300.fc5kdump

If you specify KDUMP_KERNELVER="2.6.19-1.2288.fc5kdump" in "/etc/sysconfig/kdump", it loads fine...

[root@server ~]# /etc/init.d/kdump start
[root@server ~]#


Actual Results:


Expected Results:
Kexec should load the kernel without complaint.

Additional info:

Comment 1 John Holmstadt 2007-03-28 16:57:12 UTC
Still a problem with 2307...

[root@server ~]# rpm -qa kernel-kdump
kernel-kdump-2.6.20-1.2300.fc5
kernel-kdump-2.6.20-1.2307.fc5
kernel-kdump-2.6.19-1.2288.fc5
[root@server ~]# /etc/init.d/kdump start
Cannot determine the file type of /boot/vmlinux-2.6.20-1.2307.fc5kdump
[root@server ~]#

Comment 2 Red Hat Bugzilla 2007-05-03 04:56:18 UTC
User vgoyal@redhat.com's account has been closed

Comment 3 Jeroen Janssen 2007-05-09 08:48:24 UTC
I think this bug is related to #238768 (which is for fc6).

Comment 4 Bug Zapper 2008-04-04 06:33:38 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2008-05-06 19:21:49 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.